<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        /*Dado un array con los días de la semana obtén todos los días que empiezan por ‘M’*/
        function semanaM(){
            let diasSemana = ['Lunes', 'Martes', 'Miercoles', 'Jueves', 'Viernes', 'Sabado', 'Domingo'];
        let resultado = [];
        for (const dia of diasSemana) {
            if(dia.indexOf("M")==0){
                resultado.push(dia);
            }
        }
        return resultado;
        }
        console.log(semanaM());

        function semanaMFilter(){
            let diasSemana = ['Lunes', 'Martes', 'Miercoles', 'Jueves', 'Viernes', 'Sabado', 'Domingo'];
            let resultado = diasSemana.filter(function (dia){
                return dia.indexOf("M")==0;
                })
            return resultado;
        }

        console.log(semanaMFilter());

        function semanaMLambda(){
            let diasSemana = ['Lunes', 'Martes', 'Miercoles', 'Jueves', 'Viernes', 'Sabado', 'Domingo'];
            let resultado = diasSemana.filter(dia => dia.indexOf("M")==0)
            return resultado;
        }
        console.log(semanaMLambda());


        /*Dado un array con los meses del año obtén todos los días que empiezan por una vocal.*/
        let mesesAno = ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'];
        function mesesVocal(){
            let mesesAno = ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'];
            let resultado = [];
            for (const mes of mesesAno) {
                if(mes.indexOf("a")==0 || mes.indexOf("e")==0 || mes.indexOf("i")==0 || mes.indexOf("o")==0 || mes.indexOf("u")==0){
                    resultado.push(mes);
                }
            }
            return resultado;
        }
        console.log(mesesVocal());

        function mesesVocalFilter(){
            let mesesAno = ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'];
            let resultado = mesesAno.filter(function (mes){
                return mes.indexOf("a")==1 || mes.indexOf("e")==1 || mes.indexOf("i")==1 || mes.indexOf("o")==1 || mes.indexOf("u")==1;
            })
            return resultado;
        }
        console.log(mesesVocalFilter())
        function mesesVocalLambda(){
            let mesesAno = ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'];
            let resultado = mesesAno.filter(mes => mes.indexOf("a")==1 || mes.indexOf("e")==1 || mes.indexOf("i")==1 || mes.indexOf("o")==1 || mes.indexOf("u")==1);
            return resultado;
        }
        console.log(mesesVocalLambda());
    </script>
</body>
</html>